%define name	libtunepimp
%define version 0.3.0
%define release 3mdk
%define summary	A library for creating MusicBrainz enabled tagging applications

%define major	2
%define libname	%mklibname tunepimp %major

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.musicbrainz.org/pub/musicbrainz/%{name}-%{version}.tar.bz2
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url:		http://www.musicbrainz.org/products/tunepimp/
BuildRequires:	libflac-devel
BuildRequires:	readline-devel
BuildRequires:	libmad-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	libmusicbrainz-devel

%description
The TunePimp library (also referred to as libtunepimp) is
a development library geared towards developers who wish
to create MusicBrainz enabled tagging applications. 

%package -n	%{libname}-utils
Summary:        %{summary}
Group:          Sound
Provides:       %{name} = %{version}-%{release}

%description -n	%{libname}-utils
This package contains %{name} tools

%package -n	%{libname}
Summary:        %{summary}
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
The TunePimp library (also referred to as libtunepimp) is
a development library geared towards developers who wish
to create MusicBrainz enabled tagging applications.

%package -n	%{libname}-devel
Summary:	Files needed for developing applications which use litunepimp
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
The %{name}-devel package includes the header files and .so libraries
necessary for developing MusicBrainz enabled tagging applications.

If you are going to develop MusicBrainz enabled tagging 
applications you should install %{name}-devel. You'll also need 
to have the %name package installed.

%package -n	%{libname}-static-devel
Summary:        Static libraries for libtunepimp
Group:          Development/C
Provides:       %{name}-static-devel = %{version}-%{release}
Requires:       %{libname}-devel = %{version}-%{release}

%description -n	%{libname}-static-devel
The %{name}-devel package includes the static libraries
necessary for developing MusicBrainz enabled tagging
applications using the %{name} library.

If you are going to develop MusicBrainz enabled tagging applications,
you should install %{name}-devel.  You'll also need to have the %name
package installed.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig -n %{libname}
%postun -p /sbin/ldconfig -n %{libname}

%files -n %{libname}-utils
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README README.LGPL TODO
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/*.a

%changelog
* Mon Apr 18 2005 Gtz Waschk <waschk@mandriva.org> 0.3.0-3mdk
- rebuild for new flac

* Sat Jan 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.0-2mdk
- rebuild for new readline
- wipe out buildroot at the beginning of %%install
- don't ship the same documents with every package

* Mon Dec 13 2004 Laurent Culioli <laurent@mandrake.org> 0.3.0-1mdk
- initial release.
